# Generated from locd-0.1.13.gem by gem2rpm -*- rpm-spec -*-
%global gem_name locd

Name: rubygem-%{gem_name}
Version: 0.1.13
Release: 1%{?dist}
Summary: Get loc'd out!
License: MIT
URL: https://github.com/nrser/locd
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.3.0
# BuildRequires: rubygem(rspec) >= 3.7
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(pry) >= 0.10.4
# BuildRequires: rubygem(pry) < 0.11
# BuildRequires: rubygem(pry-rescue) >= 1.4.5
# BuildRequires: rubygem(pry-rescue) < 1.5
# BuildRequires: rubygem(pry-stack_explorer) >= 0.4.9
# BuildRequires: rubygem(pry-stack_explorer) < 0.5
# BuildRequires: rubygem(github-markup) >= 1.6
# BuildRequires: rubygem(github-markup) < 2
# BuildRequires: rubygem(yard) >= 0.9.12
# BuildRequires: rubygem(yard) < 0.10
# BuildRequires: rubygem(yard-commonmarker) >= 0.3.0
# BuildRequires: rubygem(yard-commonmarker) < 0.4
BuildArch: noarch

%description
Get loc'd out!


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/exe -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/locd
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.gitmodules
%{gem_instdir}/.qb-options.yml
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/.vscode
%exclude %{gem_instdir}/.yardopts
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/NAME
%{gem_instdir}/VERSION
%{gem_instdir}/config
%{gem_instdir}/exe
%{gem_libdir}
%{gem_instdir}/tmp
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/doc
%{gem_instdir}/locd.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 0.1.13-1
- Initial package
